Subject: Re: (usr-tc) RIPv2 CPU Issue

From: "G. Douglas Davidson" <[email-masked]>
Date: Fri, 10 Nov 2000 17:52:59 +0000

On Nov 9, 11:33am, Jeff Mcadams wrote:
> Subject: Re: (usr-tc) RIPv2 CPU Issue
> Also sprach G. Douglas Davidson
> >I've been using RIPv2 to allow our Cisco to route to our TCs, but I
> >just noticed recently that RIP is a CPU hog on the Cisco.  It is
> >consuming around 60 percent of the CPU.  Is there anything that can be
> >done to decrease the amount of RIP updates that the TCs send?  Is OSPF
> >less of a pig?  Should I segement things so that I proxy arp the
> >regular dialups and only RIP a subnet for the people I need to route a
> >subnet to?
>
> >Any thoughts appreciated.
>
> passive-interface on the cisco is your friend!
>
> If you passive-interface all of your RIP interfaces on the cisco, then
> the cisco knows it doesn't have to keep track of many of the timers on
> each route that it has to keep track of if its not set for
> passive-interface.  Each route has a timer associated with it so the
> router knows when it needs to rebroadcast the route back out again...by
> eliminating these timers with the passive-interface command, I dropped
> the cpu load on my 7507 from ~50% to ~15%
>
> The only thing you loose by putting passive-interface on everything on
> the cisco is the ability for the cisco to inform the Arcs about routes
> it has...but since the usual mode of deployment is for the Arcs to be
> default routed to the cisco...you really don't loose much of any
> functionality.

Thanks for the pointer! When I did that though, the updates did not seem to be
getting through to the router.  I'm going to try again because is seems that
some changes sort of blow the Cisco's mind for a bit.

Thanks again!

-- 
-----
G Douglas Davidson                      | CityNet, Inc.
[email-masked]                    | Pittsburgh, PA
voice: 412.481.5406                     | fax: 412.431.1315

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.